main()
{
	maps\mp\mp_crossroads_fx::main();
	maps\mp\_load::main();

	thread prefabs();
	
	if ( level.scr_allow_ambient_sounds )
		ambientPlay("ambient_france");

	if ( level.scr_allow_ambient_fog )
		setExpFog( 0.00015, 0.15, 0.14, 0.13, 0 );

	game["allies"] = "british";
	game["axis"] = "german";
	game["attackers"] = "allies";
	game["defenders"] = "axis";
	game["british_soldiertype"] = "normandy";
	game["german_soldiertype"] = "normandy";

	setCvar( "r_glowbloomintensity0", ".25" );
	setCvar( "r_glowbloomintensity1", ".25" );
	setCvar( "r_glowskybleedintensity0", ".3" );
}

prefabs()
{
	wall01 = getent ("commtank_wall01_before","targetname") delete();
	wall02 = getent ("commtank_wall02_before","targetname") delete();

	credits 	= getent ("credits", "targetname");
	chair 		= getent ("funnychair", "targetname");
	bed 		= getent ("funnybed", "targetname");

	thread printed_credits(credits);
	thread printed_chair(chair);
	thread printed_bed(bed);
}

printed_credits(trig)
{
	while ( 1 )
	{
		wait 7;
		trig waittill ("trigger", player);
		player iprintLn("Dear " + player.name + "^7, welcome back to a French village of Anctoville");
	}
}

printed_chair(trig)
{
	while ( 1 )
	{
		wait 12;
		trig waittill ("trigger", player);
		player iprintLn("This is a chair not a comfy sofa, is it?");
		wait 2;
		player iprintLn("Do not stay long unless you came out writing a letter...");
	}
}

printed_bed(trig)
{
	while ( 1 )
	{
		wait 9;
		trig waittill ("trigger", player);
		player iprintLn("Calm bed welcomes every tired asleep shoutcaster...");
	}
}